## pyfatfs 1.0.5+git20231017

=== debian/changelog ===
pyfatfs (1.0.5+git20231017-0kali1) kali-dev; urgency=medium

  * New upstream version 1.0.5+git20231017

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 Nov 2023 11:15:23 +0100

pyfatfs (1.0.5-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 06 Nov 2023 17:32:40 +0100
