=== debian/control ===
Source: pyfatfs
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3-setuptools-scm,
 python3-pytest,
 python3-pytest-mock,
 python3-fs,
 python3-all,
 python3-sphinx
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/nathanhi/pyfatfs
Vcs-Browser: https://gitlab.com/kalilinux/packages/pyfatfs
Vcs-Git: https://gitlab.com/kalilinux/packages/pyfatfs.git

Package: python3-pyfatfs
Architecture: all
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-pyfatfs-doc,
Description: filesystem module for use with PyFilesystem2 (Python 3)
 This package contains a filesystem module for use with PyFilesystem2 for
 anyone who needs to access or modify files on a FAT filesystem. It also
 provides a low-level API that allows direct interaction with a FAT filesystem
 without PyFilesystem2 abstraction.
 .
 pyfatfs supports FAT12/FAT16/FAT32 as well as the VFAT extension (long file
 names).
 .
 This package installs the library for Python 3.

Package: python-pyfatfs-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: filesystem module for use with PyFilesystem2 (common documentation)
 This package contains a filesystem module for use with PyFilesystem2 for
 anyone who needs to access or modify files on a FAT filesystem. It also
 provides a low-level API that allows direct interaction with a FAT filesystem
 without PyFilesystem2 abstraction.
 .
 pyfatfs supports FAT12/FAT16/FAT32 as well as the VFAT extension (long file
 names).
 .
 This is the common documentation package.
