## pyfatfs 1.1.0

=== debian/changelog ===
pyfatfs (1.1.0-0parrot1) echo; urgency=medium

  * Import Kali package.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 25 Nov 2025 11:18:09 +0100

pyfatfs (1.1.0-0kali1) kali-dev; urgency=medium

  * Drop 'Rules-Requires-Root: no' from d/control
  * Add python3-six to build-depends
  * Revert "Add python3-six to build-depends"
  * Tighten constraint on python3-fs
  * New upstream version 1.1.0
  * Bump year in d/copyright

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 13 Nov 2025 23:42:47 +0700
